Bug 90585 - Glue points shouldn't appear on shapes when drawing arrowed lines
Summary: Glue points shouldn't appear on shapes when drawing arrowed lines
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Connectors Shape-Points
  Show dependency treegraph
 
Reported: 2015-04-12 22:14 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-03 14:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of glue points on various shapes (200.23 KB, image/png)
2015-04-13 14:55 UTC, Gabriel Diosan
Details
Screenshot of glue points on various shapes LibreOffice 3.5.0 (232.35 KB, image/png)
2015-04-13 14:56 UTC, Gabriel Diosan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-12 22:14:00 UTC
Steps:
1) Draw a flow chart shape
2) Click on the line ends with arrow button
3) Notice glue points appear on the flow chart shape

Saw this in this video starting at 00:42 - https://www.youtube.com/watch?v=LUICmXeN10A

Version: 4.5.0.0.alpha0+
Build ID: b024e36ddb3b53163d7a01f6f7b5aadb7a858cd9
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-03-31_08:18:46
Comment 1 Gabriel Diosan 2015-04-13 14:55:03 UTC
I can confirm this behaviour in the following:

LibreOffice 4.4.2 (Ubuntu 15.04 repo)

LibreOffice Version: 4.5.0.0.alpha0+
Build ID: b024e36ddb3b53163d7a01f6f7b5aadb7a858cd9
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-03-31_09:12:20
Locale: en_AU

LibreOffice 3.5.0

All testing on Ubuntu Gnome 15.04.

It should be noted that the glue points do not appear for all shapes. I will attach 2 screenshots showing various shapes with some showing the glue points whilst others do not.

Changing this from UNCONFIRMED to NEW.

Given that this appears to be a small visual detail should the importance be dropped to low?

Gabriel
Comment 2 Gabriel Diosan 2015-04-13 14:55:47 UTC
Created attachment 114760 [details]
Screenshot of glue points on various shapes
Comment 3 Gabriel Diosan 2015-04-13 14:56:25 UTC
Created attachment 114761 [details]
Screenshot of glue points on various shapes LibreOffice 3.5.0
Comment 4 Yousuf Philips (jay) (retired) 2015-04-13 21:39:37 UTC
(In reply to Gabriel Diosan from comment #1)
> Given that this appears to be a small visual detail should the importance be
> dropped to low?

Not sure how this one should be prioritized, but this visual detail is incorrectly showing something that cant be achieved.
Comment 5 Robinson Tryon (qubit) 2015-04-13 21:58:36 UTC
(In reply to Jay Philips from comment #4)
> (In reply to Gabriel Diosan from comment #1)
> > Given that this appears to be a small visual detail should the importance be
> > dropped to low?
> 
> Not sure how this one should be prioritized, but this visual detail is
> incorrectly showing something that cant be achieved.

It's not a data-loss bug, but it is misleading, and probably frustrates anyone who's trying to learn how to use the flowchart tools. Medium/Normal sounds pretty reasonable.
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:20:49 UTC Comment hidden (obsolete)
Comment 7 Heiko Tietze 2016-05-03 15:26:14 UTC
(In reply to Yousuf (Jay) Philips from comment #0)
> Steps:
> 1) Draw a flow chart shape
> 2) Click on the line ends with arrow button
> 3) Notice glue points appear on the flow chart shape

Assuming you expect that ordinary lines must not be treated as connector - which leads to the glue points, AFAIK - whether or not they are arrow'ed.
Comment 8 Yousuf Philips (jay) (retired) 2016-05-20 17:30:33 UTC
(In reply to Heiko Tietze from comment #7)
> Assuming you expect that ordinary lines must not be treated as connector -
> which leads to the glue points, AFAIK - whether or not they are arrow'ed.

Yes glue points appear when drawing ordinary lines, though they dont glue to them. Also, the glue points dont appear if you modify the line that was just drawn which previously did show glue points.
Comment 9 QA Administrators 2017-05-22 13:39:06 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-12-03 14:35:43 UTC
Dear Yousuf Philips (jay),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug